/*
 *   This programm is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 * @ Author: Alexander Hausner (Alexander.Hausner@web.de)
 *
 */

#ifndef _FILEIFACE_H_
#define _FILEIFACE_H_

#define LOGFILE ".vexedrc"
#define LVLPATH "etc/qpe-vexed/"

#include "level.h"
#include <qstring.h>

/*
 * This class loads level information from an ascii file
 */

class FileIFace {
    public:
	FileIFace();
	~FileIFace();
	Level getActLevel();
	Level getLevel(const QString& name, int num);
	Level getNewLevel(int num);
    private:
	Level loadLevel(QString& levelFile, int levelNum);
	void parseLine(QString& line, Level*);
	int saveStatus(QString& levelName, int levelNum);
};

#endif
