/*
 *   This programm is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 * Author: Alexander Hausner (Alexander.Hausner@web.de)
 */


#include "instruction.h"

#include <qlabel.h>
#include <qpushbutton.h>
#include <qrect.h>

Instruction::Instruction(QWidget *parent = NULL, const char *name = NULL, bool modal=true, WFlags f=0) : QDialog(parent, name, modal, f) {
    setFixedSize(235,280);

    QLabel *heading = new QLabel("QPE-Vexed", this);
    heading -> setGeometry(QRect(10,15,80,20));
    heading -> setFont(QFont("Helvetica\n", 12, QFont::Bold));

    QLabel *txt1 = new QLabel("This game is a clone of Vexed, a popular game\nfor PalmOS PDAs.", this);
    txt1 -> setGeometry(QRect(10,45,220,25));

    QLabel *txt2 = new QLabel("Try to remove all blocks by moving similar ones\ntogether which causes them to disappear.\nNote that there is \"gravity\" - the blocks will\nfall down if there is an empty space. Once you\ncleared all blocks you'll get to the next\nlevel which will be more challenging", this);
	txt2 -> setGeometry(QRect(10,75,220,80));

	QLabel *txt3 = new QLabel("Have fun!", this);
	txt3 -> setGeometry(QRect(10, 170,220,15));
	
	QPushButton *close = new QPushButton("Close", this);
	close -> setGeometry(QRect(85, 240, 70, 25));
	connect(close, SIGNAL(clicked()), this, SLOT(accept()));
}

Instruction::~Instruction() {}
