/*
 *   This programm is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 * @ Author: Alexander Hausner (Alexander.Hausner@web.de)
 *
 */

#include "level.h"

// default constructor
Level::Level() {
    levelPack = "Classic Levels";
    levelNum = 0;
    for (int i=0; i<ROWS; i++) {
	for (int j=0; j<COLS; j++) {
	    item[i][j] = EMPTY;
	}
    }
}

Level::Level(QString& s, int num) {
    levelPack = s;
    levelNum = num;
    for (int i=0; i<ROWS; i++) {
	for (int j=0; j<COLS; j++) {
	    item[i][j] = EMPTY;
	}
    }
}

Level::~Level() {
}

void Level::setField(int row, int col, ITEM it, int num=1) {
    int i=col;
    while ( num != 0 ) {
	item[row][i] = it;
	i++;
	num--;
    }
}

ITEM Level::getField(int row, int col) {
    return item[row][col];
}

void Level::setName(QString& n) {
    levelName = n;
}

const QString& Level::name() {
    return levelName;
}

const QString& Level::pack() {
    return levelPack;
}

int Level::num() {
    return levelNum;
}

