/*
 *   This programm is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 * @ Author: Alexander Hausner (Alexander.Hausner@web.de)
 *
 */

#ifndef _LEVEL_H_
#define _LEVEL_H_

#include <qstring.h>

/*
 * A helper class that stores all level data
 */

#define ROWS 8
#define COLS 10
enum ITEM {EMPTY=0, WALL=1, STONE_A=2, STONE_B=3, STONE_C=4, STONE_D=5,
    STONE_E=6, STONE_F=7, STONE_G=8, STONE_H=9};

class Level {
    public:
	Level();
	Level(QString& s, int num);
	~Level();
	void setName(QString& n);
	const QString& name();
	const QString& pack();
	int num();
	void setField(int row, int col, ITEM item, int num=1);
	ITEM getField(int row, int col);
    private:
	ITEM item[ROWS][COLS];
	QString levelPack;
	QString levelName;
	int levelNum;
};

#endif
