/*
 *   This programm is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 * @ Author: Alexander Hausner (Alexander.Hausner@web.de)
 *
 */

#ifndef _MAINWIDGET_H_
#define _MAINWIDGET_H_

#include "playingBoard.h"
#include "menuBar.h"
#include "fileiface.h"
#include "button.h"
#include "level.h"
#include "statuslabel.h"

#include <qwidget.h>
#include <qstring.h>

/*
 * This class represents the underlying frame
 * Handles allmost all signals
 */

class MainWidget : public QWidget {
    Q_OBJECT
    public:
	MainWidget(QWidget *parent = NULL, const char *name = NULL);
	~MainWidget();
    protected:
	void keyPressEvent(QKeyEvent*);
    private:
	PlayingBoard *board;
	MenuBar *menu;
	FileIFace *file;
	Button *first,*last,*undo,*restart,*back,*forward;
	StatusLabel *statuslabel;
	Level level;
    private slots:
	void loadLevelFromMenu(const QString&);
	void nextLevel();
	void toFirstLevel();
	void toLastLevel();
	void backOneLevel();
	void forwardOneLevel();
	void restartLevel();
};

#endif
