/*
 *   This programm is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 * @ Author: Alexander Hausner (Alexander.Hausner@web.de)
 *
 */

#ifndef _MENUBAR_H_
#define _MENUBAR_H_

#include <qwidget.h>
#include <qpe/qpemenubar.h>
#include <qpopupmenu.h>
#include <qstring.h>
#include <qmap.h>

/*
 * Menu widget
 */

class MenuBar : public QWidget {
    Q_OBJECT
    public:
	MenuBar(QWidget *parent = NULL, const char *name = NULL);
	~MenuBar();
	void selectEntry(const QString& s);
    private:
	QPEMenuBar *menubar;
	QPopupMenu *filePopup;
	QPopupMenu *levelMenu;
	QMap<int, QString> levelIDs;
	void buildLevelMenu();
    signals:
	void loadLevelPack(const QString&);
    private slots:
	void selectLevel(int i);
	void about();
	void instruction();
};

#endif
