/*
 *   This programm is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 * Author: Alexander Hausner (Alexander.Hausner@web.de)
 */

#ifndef _STONE_H_
#define _STONE_H_

#include "level.h"

#include <qrect.h>
#include <qimage.h>
#include <qstring.h>

/*
 * A wrapper class for my pixmaps
 */

#define STONE_WIDTH 16
#define STONE_HEIGHT 16
#define PATH "pics/qpe-vexed/"

class Stone {
    public:
	Stone();
	Stone(const QRect& pos, ITEM i);
	~Stone();
	const QRect& pos();
	void setPos(const QRect& p);
	QImage& image();
	int imageID();
	void select(bool);
	bool selected();
	inline bool operator==(Stone a) {
            return position==a.pos() && pictureID==a.imageID();
        }
	Stone *newStone();
    private:
	QRect position;
	QImage picture;
	bool sel;
	int pictureID;
	QString filename;
	void reload();
};

#endif
